profound-logoProfound CMS
⌘K
Admin
Theme
DocsTutorialBlogPhilosophy
DocsTutorialBlogPhilosophy

Hybrid

Collection of Pages with ComponentsTypes of ComponentsSetup server sent events (SSE) content refetchInstall Profound CMS as a proxyCEL Scripting in Template BuilderProject ScaffoldingMedia Library

Headless

Quick startJSON และ Claude Codeดึงคำอธิบาย Zod ของคอมโพเนนต์

REST API

REST API Overviewgetเชื่อมต่อเว็บไซต์กับ CMS APIgetGET /routesgetGET /routegetGET /blocksgetรับบล็อกพร้อมแคช CELgetGET /blocks/generatedgetGET /componentsgetGET /components/{name}getGET /dataset/{schema_name}getGET /content-changes (SSE)patchPATCH /dataset/{schema_name}postPOST /translationpatchPATCH /translationsgetGET /usagepostPOST /csvpatchPATCH /csv
All Systems Operational
Powered Byprofound-logo
Theme

GET /components

แสดงรายการสรุปคอมโพเนนต์แบบกำหนดเอง (สคีมาคอนเทนต์ไทป์) ของเว็บไซต์

แสดงสรุปคอมโพเนนต์แบบกำหนดเอง (สคีมาคอนเทนต์ไทป์) สำหรับเว็บไซต์ โดยเรียงตามชื่อ ส่งคืนเฉพาะสคีมาแบบกำหนดเองที่ผู้ใช้สร้างเท่านั้น

การยืนยันตัวตน: คีย์ API (ส่วนหัว x-api-key หรือพารามิเตอร์คิวรี api_key)

พารามิเตอร์การค้นหา

พารามิเตอร์ชนิดจำเป็นหมายเหตุ
websiteIduuidใช่ต้องเป็น UUID ที่ถูกต้อง เอ็นด์พอยต์นี้ไม่มีการสำรองค่า Host/การตั้งค่า
statestringไม่ใช่กรองตามสถานะวงจรชีวิต: draft, active หรือ archived
api_keystringไม่ใช่ทางเลือกแทนส่วนหัว x-api-key

การตอบกลับ

อาร์เรย์ JSON ของสรุปคอมโพเนนต์:

[
  {
    "id": "...",
    "name": "post",
    "displayName": "Post",
    "description": "A documentation Post",
    "category": "Custom",
    "tags": [],
    "fields": [],
    "icon": null,
    "source": "custom",
    "version": 8,
    "routeSlugField": "title"
  }
]

source จะเป็นค่า "custom" เสมอ displayName จะใช้ name เป็นค่าตั้งต้น และ category จะตั้งค่าดีฟอลต์เป็น "Custom" เมื่อไม่ได้กำหนดไว้

ตัวอย่าง

curl '{CMS_API_URL}/components?websiteId=<uuid>&state=active' \
  -H 'x-api-key: <key>'

ข้อผิดพลาด

  • 400 — ไม่มีหรือ websiteId ไม่ถูกต้อง
  • 401 — คีย์ API ไม่ถูกต้อง
Continue Reading
Previous‹GET /blocks/generatedNextGET /components/{name}›